* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --color-bg: rgb(4, 13, 24);
  --color-section: rgb(8, 16, 27);

  --color-purple-primary: rgb(88, 36, 225);
  --color-purple-auxiliary: rgb(113, 56, 242);
  --color-purple-reserve: rgb(212, 186, 247);

  --color-gray-primary: rgb(175, 183, 197);

  --color-dark-primary: rgb(26, 35, 52);

  --radius-sm: 5px;
  --radius-md: 10px;
  --radius-lg: 15px;
  --radius-xl: 20px;
}

html {
  overflow-x: hidden;
  scroll-behavior: smooth;
  font-family: "Inter", sans-serif;
  background: var(--color-bg);
  color: white;
}

button {
  cursor: pointer;
  font-family: inherit;
}

a {
  text-decoration: none;
  color: inherit;
}

.nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px 25px;
  border-bottom: solid var(--color-dark-primary) 1px;
}

.nav-logo {
  width: clamp(50px, 30vw, 125px);
}

.nav-links {
  display: none;
}

.nav-action-buttons {
  display: flex;
  align-items: center;
  gap: 10px;
}

.nav-get-started {
  background: var(--color-purple-primary);
  border: solid var(--color-purple-auxiliary) 1px;
  color: white;
  padding: 10px 20px;
  font-size: 12px;
  border-radius: var(--radius-sm);
}

.nav-menu-button {
  background: transparent;
  border: none;
}

.nav-hamburger-menu {
  width: 25px;
  height: 25px;
}

.hero {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.hero-text {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
}

.hero-badge {
  background: var(--color-dark-primary);
  color: var(--color-purple-reserve);
  padding: 5px 10px;
  border-radius: var(--radius-xl);
}

.hero-powered-icon {
  width: 15px;
  object-fit: cover;
}

.hero-title {
  text-align: center;
  font-size: clamp(40px, 10vw, 65px);
  margin-block: 6px;
}

.hero-content {
  text-align: center;
  max-width: 600px;
  font-size: clamp(17px, 4vw, 18px);
  line-height: 1.5;
  color: var(--color-gray-primary);
}

.hero-buttons {
  display: flex;
  flex-direction: column;
  margin: 30px 0 10px;
  gap: 10px;
}

.hero-buttons button {
  width: clamp(300px, 50vw, 400px);
  height: 45px;
  font-size: 19px;
  border-radius: var(--radius-md);
  color: white;
}

.hero-button-start-building {
  background-color: var(--color-purple-primary);
  border: solid var(--color-purple-auxiliary) 1px;
}

.hero-button-learn-more {
  background-color: transparent;
  border: solid rgb(83, 81, 111) 2px;
}

.hero-image {
  width: 90%;
  border: solid var(--color-purple-auxiliary) 1px;
  border-radius: var(--radius-xl);
  box-shadow:
    0 0 40px var(--color-purple-auxiliary),
    0 30px 80px rgb(0, 0, 0, 0.6);
}

.features {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-block: 25px;
  margin-block: 40px;
  background: var(--color-section);
  border-top: solid var(--color-dark-primary) 1px;
  border-bottom: solid var(--color-dark-primary) 1px;
}

.features-span, 
.pricing-span {
  color: var(--color-purple-auxiliary);
}

.features-title,
.pricing-title {
  font-size: clamp(30px, 8vw, 50px);
  margin-block: 10px;
}

.features-content,
.pricing-content {
  font-size: clamp(14px, 4vw, 21px);
  color: var(--color-gray-primary);
  margin-bottom: 20px;
}

.features-cards {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.features-card {
  display: flex;
  align-items: center;
  justify-content: center;
  background: rgb(13, 21, 33);
  border: solid var(--color-dark-primary) 1px;
  border-radius: var(--radius-lg);
  width: 90%;
  height: 100px;
  margin-block: 5px;
  gap: 10px;
  padding-inline: 10px;
}

.features-card-icon,
.pricing-card-icon {
  width: clamp(60px, 10vw, 90px);
}

.features-card-content {
  font-size: clamp(11px, 1.8vw, 14px);
  width: 95%;
  color: var(--color-gray-primary);
}

.features-card-anchor {
  display: none;
}

.pricing {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-bottom: 50px;
}

.pricing-cards {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  gap: 10px;
}

.pricing-card {
  width: 90%;
  border: solid var(--color-dark-primary) 1px;
  padding: 10px 15px;
  border-radius: var(--radius-lg);
}

.pricing-card-type {
  display: flex;
  align-items: center;
  padding-bottom: 10px;
  border-bottom: solid var(--color-dark-primary) 1px;
  gap: 10px;
}

.pricing-card-name {
  display: flex;
  justify-content: space-between;
  width: 90%;
}

.pricing-card-title,
.pricing-card-price {
  font-size: clamp(10px, 4vw, 25px);
}

.pricing-card-content,
.pricing-card-period,
.pricing-card-benefits-list {
  font-size: clamp(11px, 1.8vw, 14px);
  color: var(--color-gray-primary);
}

.pricing-card-benefits-list {
  list-style-type: none;
  padding: 20px;
}

.pricing-card-benefits-list li {
  display: flex;
  align-items: center;
  gap: 5px;
}

.pricing-card-benefits-list li::before {
  content: "";
  width: 18px;
  height: 18px;
  background-image: url("tick.webp");
  background-size: contain;
  background-repeat: no-repeat;
  flex-shrink: 0;
}

.pricing-card-get-started {
  width: 100%;
  background: var(--color-purple-primary);
  border: solid var(--color-purple-auxiliary) 1px;
  height: 40px;
  border-radius: var(--radius-lg);
  color: white;
}

.footer {
  background-color: var(--color-section);
  border-top: solid var(--color-dark-primary) 1px;
  padding: 30px 40px;
}

.footer-text,
.footer-stay-updated-text {
  font-size: clamp(13px, 1.8vw, 14px);
  color: var(--color-gray-primary);
  margin-block: 10px 30px;
}

.footer-stay-updated {
  display: none;
  border-bottom: solid var(--color-dark-primary) 1px;
  padding-bottom: 30px;
}

.footer-stay-updated-title {
  display: flex;
  align-items: center;
  gap: 5px;
}

.footer-list-icon {
  width: 40px;
}

.footer-stay-updated-icon {
  width: 60px;
  object-fit: cover;
}

.footer-stay-updated-text {
  margin-block: 0px 15px;
}

.footer-stay-updated-form {
  display: flex;
  justify-content: space-between;
}

.footer-stay-updated-input {
  width: 86%;
  background-color: transparent;
  color: var(--color-gray-primary);
  padding: 10px;
  border-radius: var(--radius-md);
}

.footer-stay-updated-button {
  width: 13%;
  background-color: var(--color-purple-primary);
  border: solid var(--color-purple-auxiliary) 1px;
  color: white;
  border-radius: var(--radius-md);
}

.footer-navbar-list-headings {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.footer-navbar-list-headings th {
  width: 90vw;
  display: flex;
  align-items: center;
  gap: 15px;
  border-bottom: solid var(--color-dark-primary) 1px;
  margin-bottom: 10px;
}

.footer-navbar-list-pages {
  display: none;
}

.footer-social-media-icon {
  width: clamp(50px, 14.3vw, 100px);
}

.footer-social-media-icons {
  display: flex;
  justify-content: space-around;
  border-bottom: solid var(--color-dark-primary) 1px;
  padding: 10px;
}

.footer-ending-text {
  text-align: center;
  font-size: clamp(13px, 1.8vw, 14px);
  color: var(--color-gray-primary);
  margin-block: 10px;
}

.footer-ending-links {
  text-align: center;
  list-style-type: none;
  line-height: 1.9;
  color: var(--color-purple-reserve);
}

@media (min-width: 918px) {
  .nav-links {
    display: flex;
    list-style-type: none;
    gap: 2vw;
  }

  .nav-hamburger-menu {
    display: none;
  }

  .features-cards {
    flex-direction: row;
    justify-content: space-around;
    gap: 20px;
  }

  .features-card {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    width: 28vw;
    min-height: min-content;
    padding-inline: 30px;
    padding-block: 20px;
  }

  .features-card-title {
    font-size: clamp(20px, 20vw, 30px);
  }

  .features-card-anchor {
    display: block;
    color: var(--color-purple-reserve);
    text-decoration: none;
  }

  .footer-ending-text,
  .footer-ending-links {
    display: block;
  }
}

@media (min-width: 1100px) {
  .pricing-cards {
    flex-direction: row;
    justify-content: center;
  }

  .pricing-card {
    width: 28vw;
  }

  .footer {
    display: flex;
    justify-content: space-between;
  }

  .footer-social-media-icons {
    display: none;
  }

  .footer-stay-updated {
    display: block;
    border: none;
  }

  .footer-navbar-list-headings {
    flex-direction: row;
  }

  .footer-navbar-list-headings th {
    width: 150px;
    text-align: left;
    border-bottom: none;
  }

  .footer-list-icon {
    display: none;
  }

  .footer-navbar-list-pages {
    display: block;
  }

  .footer-navbar-list-pages td {
    width: 150px;
    color: var(--color-gray-primary);
  }

  .footer-ending-links,
  .footer-ending-text {
    display: none;
  }
}

@media (min-width: 1318px) {
  .hero {
    flex-direction: row;
    justify-content: space-around;
    padding: 50px;
  }

  .hero-text {
    display: block;
  }

  .hero-title {
    text-align: left;
  }

  .hero-content {
    text-align: left;
    width: 85%;
    font-size: clamp(17px, 5vw, 25px);
  }

  .hero-image {
    width: 55vw;
  }

  .most-popular-sub-type {
    position: relative;
    border: solid var(--color-purple-auxiliary) 1px;
    padding-block: 20px;
  }

  .most-popular-sub-type::before {
    content: "Most popular";
    position: absolute;
    top: 0px;
    right: 0px;
    background-color: var(--color-purple-primary);
    border-radius: var(--radius-lg);
    padding: 5px 10px;
  }
}

@media (min-width: 1600px) {
  .hero-buttons {
    flex-direction: row;
    gap: 20px;
  }

  .hero-image {
    width: 40vw;
  }
}
